/**
 * This module contains all classes defining the client application of the Envoy
 * project.
 *
 * @author Kai S. K. Engelbart
 * @author Leon Hofmeister
 * @author Maximilian K&auml;fer
 * @since Envoy Client v0.1-beta
 */
module envoy {

	requires transitive envoy.common;
	requires transitive java.desktop;
	requires transitive java.logging;
	requires transitive java.prefs;
	requires javafx.controls;
	requires javafx.fxml;
	requires javafx.base;
	requires javafx.graphics;

	opens envoy.client.ui to javafx.graphics, javafx.fxml;
	opens envoy.client.ui.controller to javafx.graphics, javafx.fxml;
}
